## pydbus 0.5.1

=== signal-spammer/Makefile ===
spammer: spammer.cpp
	g++ spammer.cpp -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/gio-unix-2.0 -std=c++14 -lgobject-2.0 -lglib-2.0 -lgio-2.0 -Wall -o spammer

## pydbus 0.6.0

=== Makefile ===
packages: wheel sdist

wheel:
	rm -Rf build
	./setup.py bdist_wheel

sdist:
	rm -Rf build
	./setup.py sdist

=== debian/changelog ===
pydbus (0.6.0-6) unstable; urgency=medium

  * Team upload.
  * d/watch: Fix uscan error.
  * Use dh-sequence-python3.
  * Use pybuild-plugin-pyproject.
  * Simplify some debhelper overrides.

 -- Colin Watson <cjwatson@debian.org>  Wed, 12 Feb 2025 11:30:52 +0000

pydbus (0.6.0-5) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 10 to 12.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.

 -- Sandro Tosi <morph@debian.org>  Thu, 02 Jun 2022 20:59:21 -0400

pydbus (0.6.0-4) unstable; urgency=medium

  * Team upload.
  * Add python3-pydbus to autopkgtest depends

 -- Scott Kitterman <scott@kitterman.com>  Mon, 23 Mar 2020 05:27:36 -0400

pydbus (0.6.0-3) unstable; urgency=medium

  * Team upload.
  * Fix autopkgtest so it reliably tests all supported python3 versions
    (Closes: #954467)

 -- Scott Kitterman <scott@kitterman.com>  Sun, 22 Mar 2020 00:44:29 -0400

pydbus (0.6.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/control: Deprecating priority extra as per policy 4.0.1
  * d/control: Remove Testsuite field, not needed anymore
  * Convert git repository from git-dpm to gbp layout
  * Use debhelper-compat instead of debian/compat.

  [ Sandro Tosi ]
  * Drop python2 support; Closes: #937419

 -- Sandro Tosi <morph@debian.org>  Sun, 15 Dec 2019 15:36:38 -0500

pydbus (0.6.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright:
      - Update to reflect upstream author's new name and email address.
      - Align copyright lines in doc/tutorial.rst block.
  * Remove no longer necessary debian/*.pyremove files.
  * debian/tests (new):
      - Add autopkgtest tests.
  * debian/rules:
      - Lower rst2html's report level when generating README.html to avoid
        warnings on minor typo.
      - Remove unnecessary debhelper template comments from the header.
  * debian/control:
      - Add Multi-Arch tags.
      - Update Vcs-Browswer tag to use /git path instead of /cgit.
  * debian/tests/run_tests.sh:
      - Moved from debian/run_tests.sh.
      - Update test commands to use the same set used upstream.
  * Bump debhelper dependency to >=10.
  * debian/watch:
      - Update to version 4.

 -- Alberto Caso <alberto.caso@juntaex.es>  Fri, 13 Jan 2017 00:56:10 +0100

pydbus (0.5.1-1) unstable; urgency=low

  * Initial release (Closes: #838791).

 -- Alberto Caso <alberto.caso@juntaex.es>  Sun, 04 Dec 2016 13:53:49 +0100

=== debian/control ===
Source: pydbus
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Alberto Caso <alberto.caso@juntaex.es>
Build-Depends: dbus,
               debhelper-compat (= 13),
               dh-sequence-python3,
               pybuild-plugin-pyproject,
               python3-all,
               python3-docutils,
               python3-gi,
               python3-setuptools
Standards-Version: 3.9.8
Homepage: https://github.com/LEW21/pydbus
Vcs-Git: https://salsa.debian.org/python-team/packages/pydbus.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/pydbus

Package: python3-pydbus
Architecture: all
Multi-Arch: foreign
Depends: python3-gi, ${misc:Depends}, ${python3:Depends}
Suggests: python-pydbus-doc
Description: Pythonic D-Bus library (Python 3)
 pydbus provides a pythonic interface to the D-Bus message
 bus system. pydbus can be used to access remote objects
 and also for object publication.
 .
 It is based on PyGI, the Python GObject Introspection
 bindings, which is the recommended way to use GLib from
 Python.
 .
 This package installs the library for Python 3.

Package: python-pydbus-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Description: Pythonic D-Bus library (common documentation)
 pydbus provides a pythonic interface to the D-Bus message
 bus system. pydbus can be used to access remote objects
 and also for object publication.
 .
 It is based on PyGI, the Python GObject Introspection
 bindings, which is the recommended way to use GLib from
 Python.
 .
 This is the common documentation package.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

export PYBUILD_NAME=pydbus
export PYBUILD_TEST_CUSTOM=1
export PYBUILD_TEST_ARGS={dir}/debian/tests/run_tests.sh {interpreter}

%:
	dh $@ --buildsystem=pybuild

execute_before_dh_installdocs:
	rst2html --report="error" README.rst README.html
	rst2html doc/tutorial.rst doc/tutorial.html

=== debian/tests/control ===
Tests: python3
Depends: python3-all, python3-pydbus, dbus

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%pydbus-$1.tar.gz%" \
    https://github.com/LEW21/pydbus/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
